
// \file MainWindow.qt.cpp
// --------------------------------------------------------------------------
// \version $LastChangedRevision$
// \date    $LastChangedDate$
// \author  $LastChangedBy$
// --------------------------------------------------------------------------
// Project: Graphik-Praktikum - Rotations-Geometrie
// --------------------------------------------------------------------------
// (C) Copyright, 2006
// Computer Graphics Group, University of Siegen, Germany
// All Rights Reserved.
//
// This is unpublished proprietary source code.
// The contents of this file may not be disclosed to third parties,
// copied or duplicated in any form, in whole or in part, without the
// prior written permission of the copyright holder.
// --------------------------------------------------------------------------

// #include <Qt/qapplication.h>
#include <qapplication.h> // MAC_OS_X
#include <QtGui/QHBoxLayout>
#include <QStringList>
#include <QFileInfo>
#include <QStringList>
#include <QDir>

#include "MainWindow.qt.h"
#include "GLView.qt.h"


/**
 * Constructor
 */
MainWindow::MainWindow(void)
{
  QWidget *centralWidget = new QWidget(this);
  
  buildWindow(centralWidget);
  setCentralWidget(centralWidget);

  buildMenu();
}

/**
 * Destructor
 */
MainWindow::~MainWindow(void)
{  

}


/**
 * Builds up the main window by adding used widgets to the layout.
 */
void MainWindow::buildWindow(QWidget *centralWidget)
{
  QHBoxLayout *hboxLayout = new QHBoxLayout(centralWidget);
  //QGridLayout *hboxLayout = new QGridLayout(centralWidget);

  // 2D widget
  m_pView = new GLView();
  m_pView->setMinimumSize(QSize(300, 300));
  // main window
  hboxLayout->addWidget(m_pView); 
  //hboxLayout->addWidget(m_pView,0,0,4,1);  

  
  QWidget *dialog = new QWidget();

  
  ui.setupUi(dialog);
  //dialog->show(); 
  hboxLayout->addWidget(dialog);
  //hboxLayout->addWidget(dialog, 0, 5);
}


/**
 * Builds up the menu entries of the main window.
 */
void MainWindow::buildMenu(void)
{
  // File menu
  QMenu *fileMenu = new QMenu(this);
	Q_CHECK_PTR(fileMenu);
  fileMenu->setTitle("&File");
	fileMenu->addAction( "E&xit", this, SLOT(close()), ALT+Key_F4);

  menuBar()->addMenu(fileMenu);
}